package roseindia.action;

import java.util.ArrayList;
import java.util.List;

import com.opensymphony.xwork2.ActionSupport;

public class optionTransferAction extends ActionSupport {
	private List<String> indianCityName;	
	private List<String> americanCityName;
	private String IndiaCity;
	private String americanCity;
	
  	public List<String> getIndianCityName() {
		return indianCityName;
	}
	public void setIndianCityName(List<String> indianCityName) {
		this.indianCityName = indianCityName;
	}
	
	public List<String> getAmericanCityName() {
		return americanCityName;
	}
	public void setAmericanCityName(List<String> americanCityName) {
		this.americanCityName = americanCityName;
	}
	public optionTransferAction()
	{
		/*----- Add India City in list------*/
		indianCityName=new ArrayList<String>();
		indianCityName.add("Bengaluru");
		indianCityName.add("Delhi");
		indianCityName.add("Mumbai");
		indianCityName.add("Lucknow");
		/*----- Add American City in list------*/
		americanCityName=new ArrayList<String>();
		americanCityName.add("New York");
		americanCityName.add("Green Bay");
		americanCityName.add("RichMond");
		americanCityName.add("West Jordan");
		americanCityName.add("CamBridge");
		americanCityName.add("Bareilly");
	}
	

public String getIndiaCity() {
		return IndiaCity;
	}
	public void setIndiaCity(String indiaCity) {
		IndiaCity = indiaCity;
	}
	public String getAmericanCity() {
		return americanCity;
	}
	public void setAmericanCity(String americanCity) {
		this.americanCity = americanCity;
	}

	public String execute() throws Exception {
		
		return SUCCESS;
	}
	
	public String display() throws Exception {
		
		return NONE;
	}

}
